com.holonplatform.vaadin.flow.components.builders

## Interface FormLayoutBuilder

- All Superinterfaces:
    ComponentBuilder<com.vaadin.flow.component.formlayout.FormLayout,FormLayoutBuilder>, ComponentConfigurator<FormLayoutBuilder>, FormLayoutConfigurator<FormLayoutBuilder>, HasComponentsConfigurator<FormLayoutBuilder>, HasElementConfigurator<FormLayoutBuilder>, HasEnabledConfigurator<FormLayoutBuilder>, HasSizeConfigurator<FormLayoutBuilder>, HasStyleConfigurator<FormLayoutBuilder>

      public interface FormLayoutBuilder
      extends FormLayoutConfigurator<FormLayoutBuilder>, ComponentBuilder<com.vaadin.flow.component.formlayout.FormLayout,FormLayoutBuilder>

  Builder to create `FormLayout` components.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.FormLayoutConfigurator

      `FormLayoutConfigurator.BaseFormLayoutConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `HasEnabledConfigurator.BaseHasEnabledConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `HasStyleConfigurator.BaseHasStyleConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `HasSizeConfigurator.BaseHasSizeConfigurator`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `ComponentConfigurator.BaseComponentConfigurator`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `FULL_SIZE`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FormLayoutBuilder` | `create()` Create a new `FormLayoutBuilder` to build a `FormLayout` component.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.FormLayoutConfigurator

      `configure, responsiveSteps, responsiveSteps, withFormItem, withFormItem, withFormItem, withFormItem, withFormItem, withFormItem, withFormItem, withFormItem`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasComponentsConfigurator

      `add, add`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasEnabledConfigurator

      `create, disabled, enabled`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasStyleConfigurator

      `create, styleName, styleNames`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasSizeConfigurator

      `create, fullHeight, fullSize, fullWidth, height, height, heightUndefined, maxHeight, maxWidth, minHeight, minWidth, sizeUndefined, width, width, widthUndefined`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentBuilder

      `build`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.ComponentConfigurator

      `create, elementConfiguration, hidden, id, visible, withAttachListener, withDetachListener`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.builders.HasElementConfigurator

      `withEventListener, withEventListener, withThemeName`

- - ### Method Detail

    - #### create

          static FormLayoutBuilder create()

      Create a new `FormLayoutBuilder` to build a `FormLayout` component.
      Returns:
        A new `FormLayoutBuilder`

Copyright © 2019 The Holon Platform. All rights reserved.